declare function pandiff(source1: string, source2: string, opts?: pandiff.Options): Promise<string | null>;
export = pandiff;
declare namespace pandiff {
    type File = string;
    type Format = string;
    type Path = string;
    interface Options {
        bibliography?: File[];
        columns?: number;
        'extract-media'?: Path;
        filter?: string[];
        from?: Format;
        help?: boolean;
        'highlight-style'?: string;
        'lua-filter'?: File[];
        output?: File;
        'pdf-engine'?: string;
        'reference-links'?: boolean;
        'resource-path'?: Path;
        standalone?: boolean;
        threshold?: number;
        to?: Format;
        version?: boolean;
        wrap?: 'auto' | 'none' | 'preserve';
        files?: boolean;
    }
    function trackChanges(file: string, opts?: Options): Promise<string | null>;
    function normalise(text: string, opts?: Options): Promise<string | null>;
}
